<?
  session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  require('libFormato.php');
  $fechaActual=date("Y-m-d");
  if(isset($_POST['botonregistro']))
    {
	 //seccion datos del cliente
	 $id_cliente=$_POST['id_cliente'];
	 $id_renta=$_POST['id_renta'];	
	 
	  $ap=$_POST['ap'];
	  $am=$_POST['am'];
	  $nombre=$_POST['nombre'];
	  $clienteregistrado=$nombre." ".$ap." ".$am; 
	  $pais=$_POST['paises'];
	  $estado=$_POST['estados'];
	  $sexo=$_POST['sexo'];
	  $mail=$_POST['mail'];
	  $edad=$_POST['edad'];
	  $intacc1=$_POST['intacc1'];
	  $coco1=$_POST['coco1'];
	  $aco1=$_POST['aco1'];
	  $num1=$_POST['num1'];
	  $intacc2=$_POST['intacc2'];
	  $coco2=$_POST['coco2'];
	  $aco2=$_POST['aco2'];
	  $num2=$_POST['num2'];
	  $motivoviaje=$_POST['motviaje'];
	  $empoinst=$_POST['empoinst'];
	  $lugardepago=$_POST['lugardepago'];
	  $razonSoc=$_POST['razonSoc'];
	  $rfc=$_POST['rfc'];
	  $dirfis=$_POST['dirfact'];
	  $ttarjeta=$_POST['ttarjeta'];
	 //seccion datos renta	 
	  $folio=$_POST['folio'];
	  $fecha=$_POST['fecha'];
	  $gerente=$_POST['gerente'];
	  $coordinador=$_POST['depto'];
	  $ejecutivo=$_POST['depto2'];
	  if($ejecutivo==""&&$coordinador!=""){$ejecutivo=$coordinador;}
	  elseif($ejecutivo==""&&$coordinador=="")$ejecutivo=$_SESSION["usuario_id"];
	  $tipoprospeccion=$_POST['tipoprospeccion'];
	  $medio=$_POST['medio'];
	  $submedio=$_POST['submedio'];
	 //seccion evaluacion del prospecto
	 $califica=$_POST['combo'];
	 $motivonocal=$_POST['mncal'];
	 $tiempoestancia=$_POST['comfr'];
	 $nirazon=$_POST['nic'];
	 
	 $fingreso=$_POST['fr'];
	 $fsalida=$_POST['fr2'];
	 $noadultos=$_POST['noadultos'];
	 $noniños=$_POST['noniños'];
	 $presupuesto=$_POST['presupuesto'];
	 $presupuestomxn=$_POST['presupuestomxn'];
	 //seccion evaluacion del prospecto
	 
	 $nov=$_POST[nov];
	 $inc=$_POST[inc];
	 $idcomplejo=$_POST[comp];
	 $iddepartamento=$_POST[idd];
	 $propiedad=$_POST[deparprop];
	 $camaexstatus=$_POST[camaex];
	 $nopersonas=$_POST[npers];
	 $descuento=$_POST[descuento];
	 
	  
	 $fi=$_POST[fini];
	 $ff=$_POST[ffin];
	 $complejo=$_POST['compl'];
	 $clavedepartamento=$_POST['clavedep'];
	 $montorentadep=$_POST[monto];
	 $depositogarantia=$_POST[deposito]; 
	 $personaextra=$_POST[persext]; 
	 $estacionamiento=$_POST[estmnto2];
	 $camaextra=$_POST[camaex2];
	 $cuna=$_POST[cuna2];
	 $mascota=$_POST[mascota2];
	 $sbtotdep=$_POST[subtotal];
	 $ivadep=$_POST[iva];
	 $totaldep=$_POST[total];
	 $divisadep=$_POST[divisa];
	 $tarifa=$_POST[tarifa];
	 $tipoRenta=$_POST[tipoRenta];
	 //montos generales
	 $subtotal=$_POST['subtotalg'];
	 $iva=$_POST['ivag'];
	 $total=$_POST['totalg'];
	 $tipomoneda=$_POST['tipomoneda'];
	 $divisa=$_POST['dolar'];
	 $noanos=$_POST[noanos];
	 $nomeses=$_POST[nomeses];
	 $nosem=$_POST[nosem];
	 $nodias=$_POST[nodias];
	 //seccion de pre-apartado
	 $ubicacionactual=$_POST['ubiact'];
	 $tiporegistro=$_POST['tiporegistro'];
	 $comprobante=$_POST['tipocomp'];
	 $formapago=$_POST['tipopago'];
	 $capacidad=$_POST[cap];
	 $limite=$_POST[lim];
	 $status_renta=$_POST['status_renta'];
	 $tipo_renta=$_POST['tipo_renta'];
	 $numcitas=$_POST['numcitas'];
	 $infoadicional=$_POST['infoadicional'];
	 
	 $tipocierre=$_POST['tipocierre'];
	 $fcierrecita=$_POST['fcierrecita'];
	 $obsvcierres=$_POST['obsvcierres'];
	 
	 
	 $totnoche=$_POST[totnoche];
	$totsem=$_POST[totsem]; 
	$totmes=$_POST[totmes];
	$totanos=$_POST[totanos];
	
	//seccion descuento
	$descsol=$_POST[descsol]; 
	$autorizadesc=$_POST[autorizadesc];
	$motivodesc=$_POST[motivodesc];
	$solicitud=$_POST[solicitud];
	 
	 
	 			/********bitacora de movimientos******************/
$sql="SELECT * FROM renta WHERE id_renta='$id_renta'";
$rb=mysql_query($sql);
$lb=mysql_fetch_object($rb);
mysql_free_result($rb);

$sqlc="select * from clientes where id_cliente='$id_cliente'";
$rbc=mysql_query($sqlc);
$lbc=mysql_fetch_object($rbc);
mysql_free_result($rbc);

$sqlm="select * from medio where id='$medio'";
$rbm=mysql_query($sqlm);
$lbm=mysql_fetch_object($rbm);
mysql_free_result($rbm);
$tot=0;
 if($lbc->nombre != $nombre)
 {
  $campom.="-Nombre<br>";
  $valorpre.="-$lbc->nombre<br>";
  $valornvo.="-$nombre<br>";
  $tot=$tot+1;
 }
if ($lbc->a_pat != $ap)
 {
  $campom.="-A_Paterno<br>";
  $valorpre.="-$lbc->a_pat<br>";
  $valornvo.="-$ap<br>";
  $tot=$tot+1;
 }
 if ($lbc->a_mat != $am)
 {
  $campom.="-A_Materno<br>";
  $valorpre.="-$lbc->a_mat<br>";
  $valornvo.="-$am<br>";
  $tot=$tot+1;
 }
 if ($lb->prospeccion != $tipoprospeccion)
 {
  $campom.="-Tipo prospeccion<br>";
  $valorpre.="-$lb->prospeccion<br>";
  $valornvo.="-$tipoprospeccion<br>";
  $tot=$tot+1;
 }
if ($lb->medio != $medio)
 {
  $sqlant="select * from medio where id='$lb->medio'";
  $sqlante=mysql_query($sqlant);
  $ant=mysql_fetch_object($sqlante);
  mysql_free_result($sqlante);
  
  $sqlnvo="select * from medio where id='$medio'";
  $sqlenvo=mysql_query($sqlnvo);
  $nvo=mysql_fetch_object($sqlenvo);
  mysql_free_result($sqlenvo);  
  $campom.="-Medio<br>";
  $valorpre.="-$ant->canal<br>";
  $valornvo.="-$nvo->canal<br>";
  $tot=$tot+1;
 }
 if ($lbs->submedio != $submedio)
 {
 $tot=$tot+1;
 }
 if ($lbc->email != $mail)
 {
  $campom.="-Mail<br>";
  $valorpre.="-$lbc->email<br>";
  $valornvo.="-$mail<br>";
  $tot=$tot+1;
 }
 if ($lbc->edad != $edad)
 {
  $campom.="-Edad<br>";
  $valorpre.="-$lbc->edad<br>";
  $valornvo.="-$edad<br>";
  $tot=$tot+1;
 }
 if ($lbc->motivo_viaje != $motivoviaje)
 {
  $campom.="-Motivo Viaje<br>";
  $valorpre.="-$lbc->motivo_viaje<br>";
  $valornvo.="-$motivoviaje<br>";
  $tot=$tot+1;
 }
  if ($lbc->intacc1 != $intacc1)
 {
  $campom.="-Acceso int 1<br>";
  $valorpre.="-$lbc->intacc1<br>";
  $valornvo.="-$intacc1<br>";
  $tot=$tot+1;
 }
if ($lbc->coco1 != $coco1)
 {
  $campom.="-Codigo de Pais<br>";
  $valorpre.="-$lbc->coco1<br>";
  $valornvo.="-$coco1<br>";
  $tot=$tot+1;
 }
if ($lbc->aco1 != $aco1)
 {
  $campom.="-Codigo de area<br>";
  $valorpre.="-$lbc->aco1<br>";
  $valornvo.="-$aco1<br>";
  $tot=$tot+1;
 }
 if ($lbc->num1 != $num1)
 {
  $campom.="-Numero 1<br>";
  $valorpre.="-$lbc->num1<br>";
  $valornvo.="-$num1<br>";
  $tot=$tot+1;
 }
 if ($lbc->intacc2 != $intacc2)
 {
  $campom.="-Acceso int 2<br>";
  $valorpre.="-$lbc->intacc2<br>";
  $valornvo.="-$intacc2<br>";
  $tot=$tot+1;
 }
if ($lbc->coco2 != $coco2)
 {
  $campom.="-Codigo de Pais 2<br>";
  $valorpre.="-$lbc->coco2<br>";
  $valornvo.="-$coco2<br>";
  $tot=$tot+1;
 }
if ($lbc->aco2 != $aco2)
 {
  $campom.="-Codigo de area 2<br>";
  $valorpre.="-$lbc->aco2<br>";
  $valornvo.="-$aco2<br>";
  $tot=$tot+1;
 }
 if ($lbc->num2 != $num2)
 {
  $campom.="-Numero 2<br>";
  $valorpre.="-$lbc->num2<br>";
  $valornvo.="-$num2<br>";
  $tot=$tot+1;
 }
 if ($lb->presupuesto != $presupuesto)
 {
  $campom.="-Presupuesto<br>";
  $valorpre.="-$lb->presupuesto<br>";
  $valornvo.="-$presupuesto<br>";
  $tot=$tot+1;
 } 
 if ($lb->f_ingreso != $fingreso)
 {
  $campom.="-Fecha Ingreso<br>";
  $valorpre.="-$lb->f_ingreso<br>";
  $valornvo.="-$fingreso<br>";
  $tot=$tot+1;
 } 
 if ($lb->f_salida != $fsalida)
 {
  $campom.="-Fecha Salida<br>";
  $valorpre.="-$lb->f_salida<br>";
  $valornvo.="-$fsalida<br>";
  $tot=$tot+1;
 } 
 if ($lb->no_adultos != $noadultos)
 {
  $campom.="-No de adultos<br>";
  $valorpre.="-$lb->no_adultos<br>";
  $valornvo.="-$noadultos<br>";
  $tot=$tot+1;
 }
 if ($lb->no_ninios != $noniños)
 {
  $campom.="-No de niños<br>";
  $valorpre.="-$lb->no_ninios<br>";
  $valornvo.="-$noniños<br>";
  $tot=$tot+1;
 }
 if(count($idcomplejo)!=0){
 foreach($idcomplejo as $indice=>$valor){
      $sqlcon="select * from conceptos where folio='$folio' and id_departamento='$iddepartamento[$indice]' ";
	  $ejecuta=mysql_query($sqlcon);
	  $reg=mysql_fetch_object($ejecuta);
	  
	  $sqldepa="select clave from departamentos where id_departamento='$reg->id_departamento'";
	  $eje=mysql_query($sqldepa);
	  $alma=mysql_fetch_object($eje);
	  $depto=$alma->clave;
	  if($estacionamiento[$indice]!=0.00){$estmtost="true";$montoest=$estacionamiento[$indice];}else{$estmtost="false";$montoest=$estacionamiento[$indice];}
	  
      if($reg->estmtostatus != $estmtost)
		{
		 $campom.="-Estacionamiento $depto<br>";
         $valorpre.="-$reg->estmtostatus -$reg->garage<br>";
         $valornvo.="-$estmtost - $montoest<br>";
		 $tot=$tot+1;
        }
	  if($reg->camaexstatus != $camaexstatus[$indice]){
		 $campom.="-Cama extra $depto<br>";
         $valorpre.="-$reg->camaexstatus -$$reg->camaextra<br>";
         $valornvo.="-$camaexstatus[$indice] -$$camaextra[$indice]<br>";
         $tot=$tot+1;		 
	  }	
	  if($cuna[$indice]!=0.00){$cunast="true";}else{$cunast="false";}
      if($reg->cunastatus != $cunast)
		{
		 $campom.="-Cuna $depto<br>";
         $valorpre.="-$reg->cunastatus -$reg->cuna<br>";
         $valornvo.="-$cunast - $$cuna[$indice]<br>";
		 $tot=$tot+1;
        }
	  if($mascota[$indice]!=0.00){$mascotast="true";}else{$mascotast="false";}
      if($reg->mascotastatus != $mascotast)
		{
		 $campom.="-Mascota $depto<br>";
         $valorpre.="-$reg->mascotastatus -$reg->mascota<br>";
         $valornvo.="-$mascotast - $$mascota[$indice]<br>";
		 $tot=$tot+1;
        }
	  if($reg->noPersonas != $nopersonas[$indice]){
		 $campom.="-Numero de personas $depto<br>";
         $valorpre.="-$reg->noPersonas -$$reg->per_extra<br>";
         $valornvo.="-$nopersonas[$indice] -$$personaextra[$indice]<br>";
		 $tot=$tot+1;		 
	  }
      if($reg->descuento != $descuento[$indice]){
	  //-depo: $reg->deposito -subtotal: $reg->subtotal -total: $reg->total
	  //-depo: $deposito[$indice] -subtotal: $subtotal[$indice] -total: $total[$indice]
		 $campom.="-Descuento $depto<br>";
         $valorpre.="-desc:$reg->descuento %<br>";
         $valornvo.="-desc:$descuento[$indice] %<br>";	  
		 $tot=$tot+1;
	  }	  
   }
 }
 if($lb->tiporegistro != $tiporegistro)
  {
   $campom.="-Tipo registro<br>";
   $valorpre.="-$lb->tiporegistro<br>";
   $valornvo.="-$tiporegistro<br>";
   $tot=$tot+1;
  }
  if($lb->comprobante != $comprobante)
  {
   $campom.="-Comprobante<br>";
   $valorpre.="-$lb->comprobante<br>";
   $valornvo.="-$comprobante<br>";
   $tot=$tot+1;
  }
 if($lb->formapago != $formapago)
  {
   $campom.="-Forma pago<br>";
   $valorpre.="-$lb->formapago<br>";
   $valornvo.="-$formapago<br>";
   $tot=$tot+1;
  }
  if($lb->id_gerente != $gerente)
  {
	$sqlger="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$gerente'";
	$rbger=mysql_query($sqlger);
	$lbeger=mysql_fetch_object($rbger);
	mysql_free_result($rbger); 

	$sqlger2="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$lb->id_gerente'";
	$rbger2=mysql_query($sqlger2);
	$lbeger2=mysql_fetch_object($rbger2);
	mysql_free_result($rbger2); 
	$ger=$lbeger->a_pat." ".$lbeger->a_mat." ".$lbeger->nombre;
	$ger2=$lbeger2->a_pat." ".$lbeger2->a_mat." ".$lbeger2->nombre;
	$campom.="-Gerente<br>";
    $valorpre.="-$ger2<br>";
    $valornvo.="-$ger<br>";
	$tot=$tot+1;
  }
  if($lb->id_coordinador != $coordinador)
  {
	$sqlc="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$coordinador'";
	$rbc=mysql_query($sqlc);
	$lbec=mysql_fetch_object($rbc);
	mysql_free_result($rbc); 

	$sqlc2="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$lb->id_coordinador'";
	$rbc2=mysql_query($sqlc2);
	$lbec2=mysql_fetch_object($rbc2);
	mysql_free_result($rbc2);  
	
	$coor=$lbec->a_pat." ".$lbec->a_mat." ".$lbec->nombre;
	$coor2=$lbec2->a_pat." ".$lbec2->a_mat." ".$lbec2->nombre;
	$campom.="-Cordinador<br>";
    $valorpre.="-$coor2<br>";
    $valornvo.="-$coor<br>";
	$tot=$tot+1;
  } 
  if($lb->id_ejecutivo != $ejecutivo)
  {
	$sqle="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$ejecutivo'";
	$rbe=mysql_query($sqle);
	$lbee=mysql_fetch_object($rbe);
	mysql_free_result($rbe); 

	$sqle2="SELECT a_pat,a_mat,nombre FROM empleados WHERE id_empleado='$lb->id_ejecutivo'";
	$rbe2=mysql_query($sqle2);
	$lbee2=mysql_fetch_object($rbe2);
	mysql_free_result($rbe2);  
	
	$ejec=$lbee->a_pat." ".$lbee->a_mat." ".$lbee->nombre;
	$eje2=$lbee2->a_pat." ".$lbee2->a_mat." ".$lbee2->nombre;
	$campom.="-Ejecutivo<br>";
    $valorpre.="-$eje2<br>";
    $valornvo.="-$ejec<br>";
	$tot=$tot+1;
  }
  if($lbc->pais != $pais)
   {
    $sqlpn="select opcion from lista_paises where id='$pais'";
	$ejepn=mysql_query($sqlpn);
	$pn=mysql_fetch_object($ejepn);
	 mysql_free_result($ejepn);
	
	$sqlpa="select opcion from lista_paises where id='$lbc->pais'";
	$ejepa=mysql_query($sqlpa);
	$pa=mysql_fetch_object($ejepa);
	mysql_free_result($ejepa);
	
    $campom.="-Pais<br>";
    $valorpre.="-$pa->opcion<br>";
    $valornvo.="-$pn->opcion<br>";
	$tot=$tot+1;
   }
   if($lbc->estado != $estado)
   {
    $sqlestn="select opcion from lista_estados where id='$estado'";
	$ejeestn=mysql_query($sqlestn);
	$estn=mysql_fetch_object($ejeestn);
	mysql_free_result($ejeestn);
	
	$sqlesta="select opcion from lista_estados where id='$lbc->estado'";
	$ejeesta=mysql_query($sqlesta);
	$esta=mysql_fetch_object($ejeesta);
	mysql_free_result($ejeesta);
	
    $campom.="-Pais<br>";
    $valorpre.="-$esta->opcion<br>";
    $valornvo.="-$estn->opcion<br>";
	$tot=$tot+1;
   }
  if($lbc->sexo != $sexo)
  {
   $campom.="-Sexo<br>";
   $valorpre.="-$lbc->sexo<br>";
   $valornvo.="-$sexo<br>";
   $tot=$tot+1;
  }
  if($lb->tipocierre != $tipocierre)
  {
   $campom.="-Tipo cierre<br>";
   $valorpre.="-$lb->tipocierre<br>";
   $valornvo.="-$tipocierre<br>";
   $tot=$tot+1;
  }
  if($lb->fecha_cierre != $fcierrecita)
  {
   $campom.="-Tipo cierre<br>";
   $valorpre.="-$lb->fecha_cierre<br>";
   $valornvo.="-$fcierrecita<br>";
   $tot=$tot+1;
  }
  if($lb->observaciones != $obsvcierres)
  {
   $campom.="-Observaciones<br>";
   $valorpre.="-$lb->observaciones<br>";
   $valornvo.="-$obsvcierres<br>";
   $tot=$tot+1;
  }
    
	$sql="SELECT a_pat,a_mat,nombre FROM empleados WHERE usuario='$usuario_login'";
	$rb=mysql_query($sql);
	$lbe=mysql_fetch_object($rb);
	mysql_free_result($rb);
	$nombremod=$lbe->a_pat." ".$lbe->a_mat." ".$lbe->nombre;
	$bitacora="insert into bitacorapros(idrenta,fecha,campo,valorpre,valornvo,usuario)values('$id_renta',NOW(),'$campom','$valorpre','$valornvo','$nombremod')";
	mysql_query($bitacora);
	if($tot<>0){
	  $ultmod="update renta set ultimaact='$fechaActual' where id_renta='$id_renta'";
	  mysql_query($ultmod);
	}
/*************************************************/
	 
	 
	 	 //INSERTA MOTIVO DE VIAJE//
	if($motivoviaje!=""){
	 $sqlmotivoviaje="select * from llenacombos where campo='MOTIVO_VIAJE' and nom='$motivoviaje'";
	 $ejemotviaje=mysql_query($sqlmotivoviaje);
	 $encontro=mysql_num_rows($ejemotviaje);
	 mysql_free_result($ejemotviaje);
	     if($encontro==0){
	         $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivoviaje','MOTIVO_VIAJE')";
		     mysql_query($insmotviaje);
	     }
	 }
	//TERMINA MOTIVO DE VIAJE//
	 //INSERTA TIPO DE PROSPECCION//
	 if($tipoprospeccion!=""){
	 $sqltipopros="select * from llenacombos where campo='TIPO_PROSPECCION' and nom='$tipoprospeccion'";
	 $ejetipopros=mysql_query($sqltipopros);
	 $encontrotipopros=mysql_num_rows($ejetipopros);
	    if($encontrotipopros==0){
	         $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$tipoprospeccion','TIPO_PROSPECCION')";
		     mysql_query($insmotviaje);
	     }
	 }
	 //INSERTA  TIPO DE  PROSPECCION//
	 //INSERTA  MOTIVO NO CALIFICA//
	 if($motivonocal!=""){
	 $sqlmotivonocal="SELECT * FROM llenacombos WHERE campo='MOTIVO_NO_CALIFICA' and nom='$motivonocal'";
	 $ejenocalifica=mysql_query($sqlmotivonocal);
	 $encontromotivo=mysql_num_rows($ejenocalifica);
	     if($encontromotivo==0){
	     $insmotviaje="INSERT INTO llenacombos(id,nom,campo) values('','$motivonocal','MOTIVO_NO_CALIFICA')";
	     mysql_query($insmotviaje);
	     }
	 }
	 //TERMINA  MOTIVO NO CALIFICA//
	  // ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 if($medio==1)
	 {
	    // CONSULTA PARA COMPROBAR QUE LOS DIRECTORIOS NO SE REPITAN
		$consulta_directorios=mysql_query("select count(*) as repetido from directorios where id='$submedio'",$db_conexion);
		$directorio_repetido=mysql_fetch_array($consulta_directorios);
		if($directorio_repetido['repetido']==0)
		 {
		 $inserta_directorio=mysql_query("insert into directorios(descripcion) values('$submedio')",$db_conexion);  		
		 $nuevo_id=mysql_query("select * from directorios where descripcion='$submedio'");
		  if($res_nuevo_id=mysql_fetch_array($nuevo_id))
		   {
		    $subme=$res_nuevo_id['id'];
		   }		
		 }else{
		   $subme=$submedio;	 
		 }
	 }else{	 
	 // INSERTAR SUBMEDIOS	 
	 $sqlsubmedio=mysql_query("select count(*) as repetidos from submedio where idsubmedio='$submedio'",$db_conexion);
	 $ressqlsubmedio=mysql_fetch_array($sqlsubmedio);
	 if($ressqlsubmedio['repetidos']==0)
	 {
	  $insertasubmed=mysql_query("insert into submedio(idcanal,subcanal) values('$medio','$submedio')",$db_conexion);
	  // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	 $idsubm=mysql_query("select * from submedio where subcanal='$submedio'",$db_conexion);
	 if($ridsubm=mysql_fetch_array($idsubm))
	 { $idsubmedio=$ridsubm['idsubmedio']; }
 	 // CONSULTA PARA EXTRAER EL ID DEL NUEVO SUBMEDIO E INSERTARLO A LA TABLA RENTA
	  $subme=$idsubmedio;
	 }else {
	  $subme=$submedio;	 
	 }
	 // TERMINA INSERTAR SUBMEDIOS	 
     //TERMINA VERIFICACION SI EXISTEN REGISTROS EN TABLA LLENACOMBOS SI NO EXISTEN REGISTRA//
	 }	 
	 // TERMINA ESTO ES PARA SABER SI EL MEDIO ES PAGINAS WEB Y VERIFICAR SI ES QUE SE AGREGO UN NUEVO DIRECTORIO, INSERTALO A LA TABLA
	 
	 //ACTUALIZA CLIENTES
	 $sql="UPDATE clientes SET nombre='$nombre', a_pat='$ap', a_mat='$am', email='$mail', intacc1='$intacc1', coco1='$coco1', aco1='$aco1', num1='$num1', intacc2='$intacc2', coco2='$coco2', aco2='$aco2', num2='$num2', pais='$pais', estado='$estado', edad='$edad', motivo_viaje='$motivoviaje', sexo='$sexo', empresa='$empoinst',razon_soc='$razonSoc',rfc='$rfc',direc_fis='$dirfis' ,id_emp='$ejecutivo' WHERE id_cliente='$id_cliente' ";
	 mysql_query($sql);
	 //TERMINA  ACTUALIZA CLIENTES" 
$sql="select status_renta from conceptos where id_renta='$id_renta' and status_renta IN('PAGADO', 'ANTICIPO') ";
$quer=mysql_query($sql); 
if(mysql_num_rows($quer)>0&&$_SESSION["usuario_nivel"]<4)
		{ 
			echo"<center><b><font color='red'>Los departamentos cotizados en esta renta ya tienen pagos solamente fueron modificados los datos del cliente y citas</font></center></b>";
		} 
else{	 
	  //INSERTA DATOS DE RENTA	
	$sql="UPDATE renta SET id_gerente='$gerente', id_coordinador='$coordinador', id_ejecutivo='$ejecutivo', prospeccion='$tipoprospeccion', medio='$medio', submedio='$submedio', califica='$califica', motivo_nocal='$motivonocal', razon_ni='$nirazon', subtotal='$subtotal', iva='$iva', total='$total', tipomoneda='$tipomoneda', divisa='$divisa', comprobante='$comprobante', formapago='$formapago', fecha_cierre='$fcierrecita', tipocierre='$tipocierre', observaciones='$obsvcierres', tiporegistro='$tiporegistro',restante='$restante', f_ingreso='$fingreso' ,f_salida='$fsalida' ,no_adultos='$noadultos' ,no_ninios='$noniños' ,presupuesto='$presupuesto', lugardepago='$lugardepago', plazo_cierre='$tiempoestancia',ttarjeta='$ttarjeta' WHERE id_renta='$id_renta' ";
	 mysql_query($sql);
	//TERMINA INSERTA DATOS DE RENTA
	$sql="SELECT id_concepto FROM conceptos WHERE id_renta='$id_renta' and  borrar<>'1'";
	$re=mysql_query($sql);
	$n=1;
	while($ls=mysql_fetch_array($re)){
	 $ids[$n]=$ls['id_concepto'];
	 $n++;
	}
	 $nopbd=mysql_num_rows($re);//numero de conceptos resgitrados en la base
     $noped=count ($idcomplejo);// numero de conceptos cargados en el pedido
	 if($idcomplejo!=""){
	if($noped==$nopbd){//Si el numero de conceptos cargados es igual al numero de conceptos en la base de datos solo actualiza
	     $i=1;
	     foreach($idcomplejo as $indice=>$valor){
		     $id=$ids[$i];
			 if($estacionamiento[$indice]!=0){$estmtost="true";}else{$estmtost="false";}
	         if($cuna[$indice]!=0){$cunast="true";}else{$cunast="false";}
	         if($mascota[$indice]!=0){$mascotast="true";}else{$mascotast="false";}
	         //$sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
			 if($solicitud["$indice"]==1)$sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]',motivodesc='$motivodesc[$indice]',autorizadesc='$autorizadesc[$indice]',descsol='$descsol[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
			 else$sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
				
			 
			 
	         mysql_query($sqlprod);
			  $idconcepto=$id;
				 if($solicitud["$indice"]==1)solicitardescuento($idconcepto); 
             $i++;
		}
	}
	if($noped>$nopbd){//si el numero de conceptos cargados en mayor al que esta en la base entonces actualiza e inserta
		     $i=1;
	        foreach($idcomplejo as $indice=>$valor){
		     $id=$ids[$i];
			 if($estacionamiento[$indice]!=0){$estmtost="true";}else{$estmtost="false";}
	         if($cuna[$indice]!=0){$cunast="true";}else{$cunast="false";}
	         if($mascota[$indice]!=0){$mascotast="true";}else{$mascotast="false";}
			 if($i<=$nopbd){//actualiza los pedidos existentes
	          
//			  $sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
				
				if($solicitud["$indice"]==1)$sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]',motivodesc='$motivodesc[$indice]',autorizadesc='$autorizadesc[$indice]',descsol='$descsol[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
				
				else$sqlprod="UPDATE conceptos SET id_complejo='$idcomplejo[$indice]', id_departamento='$iddepartamento[$indice]', dia_inicio='$fi[$indice]', dia_salida='$ff[$indice]', deposito='$depositogarantia[$indice]', hospedaje='$montorentadep[$indice]', per_extra='$personaextra[$indice]', garage='$estacionamiento[$indice]', camaextra='$camaextra[$indice]', cuna='$cuna[$indice]', mascota='$mascota[$indice]', subtotal='$sbtotdep[$indice]', impuesto='$ivadep[$indice]', total='$totaldep[$indice]', tipomoneda='$tipomoneda', estmtostatus='$estmtost', camaexstatus='$camaexstatus[$indice]', cunastatus='$cunast', mascotastatus='$mascotast', noPersonas='$nopersonas[$indice]',no_anios='$noanos[$indice]',no_meses='$nomeses[$indice]',no_sem='$nosem[$indice]',no_dias='$nodias[$indice]', descuento='$descuento[$indice]',divisa='$divisadep[$indice]', tarifa='$tarifa[$indice]', tipoRenta='$tipoRenta[$indice]', montoanio='$totanos[$indice]',montomes='$totmes[$indice]',montosem='$totsem[$indice]',montonoche='$totnoche[$indice]' WHERE folio='$folio' AND id_renta='$id_renta' AND id_concepto='$id' "; 
				
				
	             mysql_query($sqlprod);
				 $idconcepto=$id;
				 if($solicitud["$indice"]==1)solicitardescuento($idconcepto); 
                }else{//inserta los pedidos que se agregaron
				 //  $sqlprod="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche)VALUES('','$id_renta','$id_cliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$ivadep[$indice]','LIBRE','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]')";
					
					$sqlprod="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche,motivodesc,autorizadesc,descsol,salida_prematura)VALUES('','$id_renta','$id_cliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$ivadep[$indice]','LIBRE','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','LIBRE','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]','$motivodesc[$indice]','$autorizadesc[$indice]','$descsol[$indice]','$ff[$indice]')";
					
	                 mysql_query($sqlprod);		
				$idconcep="SELECT MAX( id_concepto ) as id FROM conceptos";
				$idconc=mysql_query($idconcep);
				$idconcepto=mysql_fetch_array($idconc);
				$idconcepto=$idconcepto["id"];
					
			
				if($solicitud["$indice"]==1)solicitardescuento($idconcepto); 
				
				
				
				/*/AGREGAR PLAN DE PAGOS 
	
	$idrenta=$id_renta;			
	$fechapago=$fi[$indice];
	list($anio,$mes,$dia)=explode("-",$fechapago);
	$rentasem=$totsem[$indice];
	$rentadias=$totnoche[$indice];
	if($noanos[$indice]>0)
	{
	$anoses=$noanos[$indice]*12;
	$rentano=$totanos[$indice]/$noanos[$indice];
		for($q=1;$q<=$anoses;$q++)
		{ 
 		  if($q==1){
 		  		$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
 		  	  	mysql_query($insert);
 		  	  	$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano','$concepto','$divisa')";
 		  	  	mysql_query($insert1);
 		  	   }
 		  elseif($q==$anoses && $nomeses[$indice]==0)//EN LA ULTIMA RENTA SE AGREGA LOS PAGOS EN CASO QUE EXISTIR SEMANAS O DIAS EXTRA
 		  {
 		   $concepto="seguimiento";
 		   $rentano1=$rentasem+$rentadias+$rentano;
		   $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano1','$concepto','$divisa')";  
		   mysql_query($insert1);	 
		  }
		  else
		  {
		   $concepto="seguimiento";
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentano','$concepto','$divisa')";  
		  mysql_query($insert);
		  }	
		$mes++;
		if($mes>12){ $mes=01; $anio++;}
		$fechapago=$anio."-".$mes."-".$dia;
		}
		$aux="ya";
	}
	$nomeses[$indice];
	if($nomeses[$indice]>0)
	{
	"totmes".$totmes[$indice];
	"totsem".$totsem[$indice];
	$rentames=$totmes[$indice]/$nomeses[$indice];
		for($q=1;$q<=$nomeses[$indice];$q++)
		{ 
		
 		  if($q==1){
 		  		$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				mysql_query($insert1);
				$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames','$concepto','$divisa')";
				mysql_query($insert1);
 		  	   }
 		  elseif($q==$nomeses[$indice])//EN LA ULTIMA RENTA SE AGREGA LOS PAGOS EN CASO QUE EXISTIR SEMANAS O DIAS EXTRA
 		  {
 		   $concepto="seguimiento";
 		   $rentames1=$rentasem+$rentadias+$rentames;
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames1','$concepto','$divisa')";  
		  mysql_query($insert);
		  }
		  else
		  {
		  $concepto="seguimiento";
		  $insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentames','$concepto','$divisa')";  
		  mysql_query($insert);
		  }	
		$mes++;
		if($mes>12){ $mes=01; $anio++;}
		$fechapago=$anio."-".$mes."-".$dia;
		}
		$aux="ya";
	}
	if($nosem[$indice]>0&&$aux!="ya")
	{		
	$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$rentasem=$rentasem+$rentadias;
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentasem','$concepto','$divisa')";
				mysql_query($insert1);
				$aux="ya";
	}
	
	if($nodias[$indice]>0&&$aux!="ya")
	{	
				$concepto1="deposito";
 		  		$concepto="rentanueva";
 		  		$insert="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$depositogarantia[$indice]','$concepto1','$divisa')";
				mysql_query($insert);
				$insert1="INSERT INTO pagos (id_renta,id_concepto,id_emp, fechalimite, montomin, concepto,divisa) values('$idrenta','$idconcepto','$_SESSION[usuario_id]','$fechapago','$rentadias','$concepto','$divisa')";
				mysql_query($insert1);
	}
	*///TERMINA PLAN DE PAGOS
				}
 			   $i++;
		    }
	    }
		if($noped<$nopbd){
	      $sql="DELETE FROM conceptos WHERE folio='$folio' AND id_renta='$id_renta'";
		 // mysql_query($sql);	
	      	 foreach($idcomplejo as $indice=>$valor){
			  if($estacionamiento[$indice]!=0){$estmtost="true";}else{$estmtost="false";}
	          if($cuna[$indice]!=0){$cunast="true";}else{$cunast="false";}
	          if($mascota[$indice]!=0){$mascotast="true";}else{$mascotast="false";}
			 
			 // $sqlprod="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche)VALUES('','$id_renta','$id_cliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$ivadep[$indice]','LIBRE','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]')";
			   $sqlprod="INSERT INTO conceptos (id_concepto,id_renta,id_cliente,folio,id_complejo,id_departamento,fecha,hora_registro,dia_inicio,dia_salida,deposito,hospedaje,per_extra,garage,camaextra,cuna,mascota,subtotal,impuesto,otros,total,tipomoneda,estmtostatus,camaexstatus,cunastatus,mascotastatus,noPersonas,no_anios,no_meses,no_sem,no_dias,status_renta,descuento,autoriza_desc,motivo_desc,divisa,tarifa,tipoRenta,montoanio,montomes,montosem,montonoche,motivodesc,autorizadesc,descsol,salida_prematura)VALUES('','$id_renta','$id_cliente','$folio','$idcomplejo[$indice]','$iddepartamento[$indice]',CURDATE(),CURTIME(),'$fi[$indice]','$ff[$indice]','$depositogarantia[$indice]','$montorentadep[$indice]','$personaextra[$indice]','$estacionamiento[$indice]','$camaextra[$indice]','$cuna[$indice]','$mascota[$indice]','$sbtotdep[$indice]','$ivadep[$indice]','','$totaldep[$indice]','$tipomoneda','$estmtost','$camaexstatus[$indice]','$cunast','$mascotast','$nopersonas[$indice]','$noanos[$indice]','$nomeses[$indice]','$nosem[$indice]','$nodias[$indice]','LIBRE','$descuento[$indice]','','','$divisadep[$indice]','$tarifa[$indice]','$tipoRenta[$indice]','$totanos[$indice]','$totmes[$indice]','$totsem[$indice]','$totnoche[$indice]','$motivodesc[$indice]','$autorizadesc[$indice]','$descsol[$indice]','$ff[$indice]')";
			  
			  
			  mysql_query($sqlprod);
			  $idconcep="SELECT MAX( id_concepto ) as id FROM conceptos";
				$idconc=mysql_query($idconcep);
				$idconcepto=mysql_fetch_array($idconc);
				$idconcepto=$idconcepto["id"];
				if($solicitud["$indice"]==1)solicitardescuento($idconcepto); 
			 }
	      	
	     }		
}else{
$sql="DELETE FROM conceptos WHERE folio='$folio' AND id_renta='$id_renta'";
//mysql_query($sql);	
}	
}	 
		 //INSERTA CITAS//
		  $sqlct="SELECT * FROM citas WHERE id_renta='$id_renta'";
          $re=mysql_query($sqlct);
          $nr=mysql_num_rows($re);
		  $nc=0;
		  if($nr==$numcitas)
		  {
		    while($lct=mysql_fetch_array($re))
			   {
			    $id_cita=$lct['id_cita'];
				$asistio=$_POST["asistio$nc"];
			    $fechacita=$_POST["fechacita$nc"];
			    $horacita=$_POST["horacita$nc"];
			    $observacion=$_POST["observacion$nc"];
				$upcit="UPDATE citas SET id_renta='$id_renta', fecha='$fechacita', asistio='$asistio',hora='$horacita',observacion='$observacion' WHERE id_cita='$id_cita'";
				$upd=mysql_query($upcit);
				$nc++;
			   }
		  }
		  elseif($numcitas>$nr)
		   {
		    $lct=mysql_fetch_array($re);
		     while($nc<$nr)
			 {
			    $id_cita=$lct['id_cita'];
				$asistio=$_POST["asistio$nc"];
			    $fechacita=$_POST["fechacita$nc"];
			    $horacita=$_POST["horacita$nc"];
			    $observacion=$_POST["observacion$nc"];
				$upcit="UPDATE citas SET id_renta='$id_renta', fecha='$fechacita', asistio='$asistio',hora='$horacita',observacion='$observacion' WHERE id_cita='$id_cita'";
				$upd=mysql_query($upcit);
				$nc++;
			 }
			 while($nc<$numcitas)
			 {
			    $id_cita=$lct['id_cita'];
				$asistio=$_POST["asistio$nc"];
				$idem=$_SESSION['usuario_id'];
			    $fechacita=$_POST["fechacita$nc"];
				$horacita=$_POST["horacita$nc"];
			    $observacion=$_POST["observacion$nc"];
				$upcit="INSERT INTO citas (id_cita,id_renta,id_emp, fecha, asistio, hora, observacion,id_cliente) VALUES ('','$id_renta','$idem','$fechacita','$asistio','$horacita','$observacion','$id_cliente')";
				$upd=mysql_query($upcit);
				$nc++;
			 }
		   }
		  elseif($numcitas<$nr)
            {
			 
			}	
			//TERMINA INSERTA CITAS//	
	}
	
	
	
		function solicitardescuento ($id)
	{
	 $sql="SELECT cl.id_cliente, c.total,c.deposito,d.clave,concat(cl.nombre,' ',cl.a_pat)as cliente, concat(e.nombre,' ',e.a_pat )as ejecutivo, c.descsol, c.motivodesc,c.dia_inicio,c.dia_salida, c.tarifa From conceptos as c 
	INNER JOIN departamentos as d ON c.id_departamento=d.id_departamento
	INNER JOIN clientes as cl ON cl.id_cliente=c.id_cliente
	INNER JOIN empleados as e ON cl.id_emp=e.id_empleado
	where c.id_concepto='$id'";
	$query=mysql_query($sql);
	$renta=mysql_fetch_array($query);
	$departamento=$renta["clave"];
	$fi=$renta["dia_inicio"];
	$ff=$renta["dia_salida"];
	$ejecutivo=$renta["ejecutivo"];
	$cliente=$renta["cliente"];
	$descsol=$renta["descsol"];
	$total=$renta["total"]-$renta["deposito"];
	$descpesos=$total*($renta["descsol"]/100);
	$motivodesc=$renta["motivodesc"];
	$tarifa=$renta["tarifa"];
	$idcl=$renta["id_cliente"];
	$sql="SELECT cl.fecha as primregis from conceptos as cl WHERE cl.id_cliente='$idcl' order by fecha asc LIMIT 1";
	$primre=mysql_query($sql);
	$primreg=mysql_fetch_array($primre);
	$primregis=$primreg["primregis"];
	$hoy=date("d-M-Y");
	
	$tabla='<table style=" background:#FFFFFF;border-collapse:collapse;border:solid 1px #A4A4A4;font-family:arial;font-size:12px;">
	                <tr><td colspan="11" align="center"><b>'.$ejecutivo.' a solicitado un descuento</b></td></tr>
	                <tr style="border-top:solid 1px #A4A4A4">
		                <td><b>DEPARTAMENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>CLIENTE</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>REGISTRO DEL CLIENTE</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>PERIODO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DURACION DE RENTA</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>MOTIVO DE DESCUENTO</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TARIFA</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>TARIFA ACUTAL</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DESCUENTO </b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>DESCUENTO SOLICITADO %</b></td>
						<td style="border-left:solid 1px #A4A4A4"><b>FECHA DE SOLICITUD</b></td>
					</tr>';
				$color="#F2F2F2";
				$tabla=$tabla.'
		             <tr style="border-top:solid 1px #A4A4A4;background:'.$color.';">
					    <td>('.$departamento.')</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$cliente.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$primregis.'</td>
					    <td style="border-left:solid 1px #A4A4A4">del '.$fi.' al '.$ff.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.periodo($fi,$ff).'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$motivodesc.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.$tarifa.'</td>
					    <td style="border-left:solid 1px #A4A4A4">'.moneda($total).'</td>
						<td style="border-left:solid 1px #A4A4A4">'.moneda($descpesos).'</td>
						<td style="border-left:solid 1px #A4A4A4">'.$descsol.'%</td>
						<td style="border-left:solid 1px #A4A4A4">'.$hoy.'</td>
					 </tr>';
	$tabla=$tabla.'</table>';

	 $mail="informes@mexicoenrenta.com.mx";
	// $mail="turisiscom@hotmail.com";
	 $from="turisiscom@hotmail.com";
	 $destinatario = $mail; 
     $asunto = "Solicitud de descuento"; 
     $cuerpo=$tabla;
     $cuerpo.="<br><a href='http://mexicoenrenta.com.mx/turisiscom/administrador/autorizadesc.php?idc=$id'>clic para autorizar descuento</a>";
     //para el envío en formato HTML 
     $headers = "MIME-Version: 1.0\r\n";
     $headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 
     //dirección del remitente 
     $headers .= "From: $from\r\n"; 
     //dirección de respuesta, si queremos que sea distinta que la del remitente 
     $headers .= "Reply-To: none\r\n"; 
     //ruta del mensaje desde origen a destino 
     $headers .= "Return-path: none\r\n"; 
     //direcciones que recibián copia 
     $headers .= "Cc: rentaenmexico@hotmail.com, turisiscom@hotmail.com\r\n"; 
    // $headers .= "Cc: turisiscom@hotmail.com\r\n"; 
     //direcciones que recibirán copia oculta 
     $headers .= "Bcc:\r\n"; 
     mail($destinatario,$asunto,$cuerpo,$headers);
	
	}

function periodo($fi,$ff)
{ 
  $noanioses=0; $nomeseses=0; $numerosemanases=0;  $numerodiasdias=0;	$mes=0;
				 
				 list($anioies,$mesies,$diaies)=explode("-",$fi);
				 list($aniofes,$mesfes,$diafes)=explode("-",$ff);
				 $mes=$mesies;
				 $mesextraes=$aniofes-$anioies;
				 $mesfes1=$mesfes+($mesextraes*12);
				 $nomeseses=$mesfes1-$mesies;
				 $diasenmesultimo= cal_days_in_month(CAL_GREGORIAN, $mesfes, $aniofes); 
				 if($diafes<$diaies&&$diasenmesultimo!=$diafes)
				 {
				 $nomeseses--;
				 if($nomeseses==0&&$mesextraes>0)
				 { $nomeseses=0; }
				 $numero = cal_days_in_month(CAL_GREGORIAN, $mes, $aniofes); 
				$diafes=$diafes+$numero;
				}
				if($diasenmesultimo==$diafes&&$diafes<$diaies)
				 {	$numerodiasdias=0;		}
				else{$numerodiasdias=$diafes-$diaies;}
				while($numerodiasdias>=7)
				 {
				 $numerodiasdias=$numerodiasdias-7;
				 
				 $numerosemanases++;
				 }
		
				while($nomeseses>=12)
				 {
				 $noanioses++;
				 $nomeseses=$nomeseses-12;
				 }
				$anios=$noanioses; $meses=$nomeseses; $semred=$numerosemanases;  $restodias=$numerodiasdias ;
 if($anios>0)$periodo.="$anios años ";
 if($meses>0)$periodo.="$meses meses ";
 if($semred>0)$periodo.="$semred Semanas ";
 if($restodias>0)$periodo.="$restodias dias ";
 return($periodo);
 }
	
?>
<center>
<table >
<tr>
<td >Los datos han sido registrados correctamente</td>
</tr>
<tr align="center">
<td>Regresar a <a href="regmodificar2.php?idcliente=<?echo$id_cliente;?>&idrenta=<?echo$id_renta;?>"><?echo $clienteregistrado?></a></td>
</tr>
<tr align="center">
<td ><a href="javascript:window.close()">Salir </a></td>
</tr>

</table>


</center>